Page MenuHomePhabricator

Numerous sv.wp users get repeatedly logged out again
Closed, DeclinedPublic

Description

Since March, I'm witnessing a constant need to login to my unified Wikimedia account. It appears whenever I restart my computer or restarts a web browser (any marque of browser). Sometimes it even happens inside an active editing session. Sometimes the system reports my being logged in centrally ("You only need to reload the page to reload your user preferences"). The problem appears at both my computers, using different flavours of OS X (10.6.8, 10.8.5).

In the past the system login sessions worked reasonably well at both my computers (I almost never log out, for ease of use). This logout behaviour started in March this year. During this spring lots of other users at my homewiki (Swedish Wikipedia) have reported the same or similar problems. Eg. here: https://sv.wikipedia.org/wiki/Wikipedia:Bybrunnen#HTTPS

This problem arises at all WMF projects. I suspect a problem of the system recognising a cookie could be the culprit?

Event Timeline

Paracel63 raised the priority of this task from to Needs Triage.
Paracel63 updated the task description. (Show Details)
Paracel63 added a subscriber: Paracel63.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 12:39 PM
Aklapper renamed this task from Constant logout to Numerous sv.wp users get repeatedly logged out again.Jun 30 2015, 1:13 PM
Aklapper triaged this task as Normal priority.

When you are suddenly logged out, are all browser cookies for Wikimedia sites gone or are all/some of those cookies still there?
Browser settings are set to save cookies across sessions and to not throw away cookies on exit?

Thanks for getting back to me. Just as if poking fun to me, the web cookies for Google Chrome and Mozilla Firefox seem to work right now (at both computers). Still those for Safari (5.1.10 under MOS X 10.6.8 and 6.2.4 under 10.8.5) and Camino (both under 10.6.8 and 10.8.5) are gone. I know Camino is a lost cause (not being updated anymore), but this browser is still the only browser under OS X with single key invoking the access keys in key shortcut combos (https://en.wikipedia.org/wiki/Wikipedia:Keyboard_shortcuts); so far I'm at 300 percent more efficient in my Wikipedia editing using Camino. And still both versions of Safari have the same problem.

Restricted Application added a subscriber: Josve05a. · View Herald TranscriptJul 17 2015, 1:30 PM

Maybe. This happens to me quite often, and in various situations. E.g. both when saving after a long time since last save and saving within minutes after last save, for no apparent reason. It resembles the kind of behaviour where the logging out can happen a long time after last save and shortly after a last save. Lately (last two weeks) the logging out and need to log in after a browser restart has been almost mandatory, in both my major browsers (Camino and Chrome) and on both my computers, over both fixed line and wifi connection. Maybe my using both the OS X firewall (incoming connections) and Little Snitch firewall (outgoing connections) can be related?

Nemo_bis added a subscriber: Nemo_bis.

As for the logging in, are the problems you describe about single-wiki usage? Or about the login spreading from one wiki to another?

Well, normally, when I'm logged out, it doesn't matter what WMF project I start with as I'm then logged out everywhere. Logging in anywhere generally gets me logged in everywhere. So a general Wikimedia cookie seems to take care of that.

@Josve05a, @Paracel63: Do you know if this is still a problem nowadays?

Ironically I was logged out from sv.wp when I logged in this morning. I logged in last yesterday, and had the "let me stay logged in" turned on. Anyways, I've been less prone to be logged outatrandom, but it does happen from time to time.

Paracel63 added a comment.EditedSep 15 2015, 6:41 PM

Yes, to me it still happens <s>90</s> 95 percent of the time with some older browsers, and less than <s>50</s> 60 percent of the time with newer and updated browsers. It's mostly when restarting browser or computer or when waking up computer. And sometimes right within an active editing session (which is quite remarkable but may be network related?).

And again I failed to follow up here in a timely manner. I am sorry. :(
Now that the AuthManager changes were merged a few months ago, does this still happen?
If yes, probably anomie, tgr and/or bd808 are folks to subscribe to this task.

I wonder if T104326#1641833 was coincidence with the 30 days limit (which in the meantime got increased in T68699).
If this is not an issue anymore I'm going to assume that this was related to T102199. (For completeness, in the meantime we've faced other issues such as T151770.)

Aklapper closed this task as Declined.Jun 23 2017, 11:30 AM

No feedback on the last two comments, hence closing as declined for the time being. See the last comment for potentially related tasks.